#!/bin/sh

name="memtest86"
title="Memtest86"
package="memtest86"
version="3.0"
build="1"
noarch="n"
build_info="Standard build."

info="Stand alone memory test for i386 systems."
desc="Memtest86 is thorough, stand alone memory test for i386
architecture systems. BIOS based memory tests are only a quick
check and often miss failures that are detected by Memtest86."
category="system/test/hardware"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="README,README.build-process"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://www.memtest86.com/$name-$version.tar.gz

apply_patch memtest86-vars.patch 1

parent_package="$package"
write_info main

cd $src1

do_make

change_mod main boot/memtest86 644

copy memtest.bin $pkg_main/boot memtest86

cat << EOF > $pkg_main/boot/memtest86-lilo.conf
image = /boot/memtest86
label = Memtest86
EOF

make_docs

make_package main

clean_up

# $Log: memtest86.builder,v $
# Revision 1.3  2002/12/25 23:47:56  swiergot
# - Build 1.
#
# Revision 1.2  2002/12/25 23:33:04  swiergot
# - Touched to force building.
#
# Revision 1.1  2002/12/25 23:17:53  swiergot
# - Initial release.
# - Version 3.0.
#
